Package: groovy.xml

## [Java] Class XmlNodePrinter.NamespaceContext

- groovy.xml.XmlNodePrinter.NamespaceContext

-     protected static class XmlNodePrinter.NamespaceContext
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `NamespaceContext()`
    `NamespaceContext(NamespaceContext context)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String` | `getNamespace(String prefix)`
    `` | `public boolean` | `isPrefixRegistered(String prefix, String uri)`
    `` | `public void` | `registerNamespacePrefix(String prefix, String uri)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public NamespaceContext()

    - #### public NamespaceContext(NamespaceContext context)

  - ### Method Detail

    - #### public String getNamespace(String prefix)

    - #### public boolean isPrefixRegistered(String prefix, String uri)

    - #### public void registerNamespacePrefix(String prefix, String uri)